/* test mass anomalous dimension */
#ifdef NDEBUG
#undef NDEBUG
#endif

#include <iostream>
#include <cassert>
#include <array>
#include <cmath>

#include "QCD/gamma_m.hpp"

static constexpr double ep = 1e-12;

#define TST(name)		  \
  std::cout << "gamma_m(" << ord << ", " << nf << "): ";	\
  diff = std::abs(name - results[ind++]);  \
  std::cout << diff;			 \
  assert(diff < ep);			 \
  std::cout << " (ok)" << std::endl;

int main(){
  double diff;
  using QCD::gamma_m;
  std::cout << "target precision: " << ep << "\n";

  constexpr auto results = std::array<double, 10>{{
      //nf = 3
      1.,
      3.7916666666666665,
      12.420204964323236,
      44.26290846573344,
      198.90657900228448479,
      //nf = 5
      1.,
      3.513888888888889,
      7.419863212143666,
      11.034321242068067,
      41.820456935958403891
    }};

  size_t ind = 0;
  int nf = 3;
  for(unsigned ord = 0; ord <= QCD::gamma_m_max_order; ++ord){
    TST(gamma_m(ord, nf))
  }

  nf = 5;
  for(unsigned ord = 0; ord <= QCD::gamma_m_max_order; ++ord){
    TST(gamma_m(ord, nf))
  }

}
