#include <iostream>
#include "QQbar_threshold/scheme_conversion.hpp"

int main(){
  namespace QQt = QQbar_threshold;
  const double mt_PS = 168.;
  const double mu = 50.;
  //convert to pole scheme
  const double mt_Pole = QQt::top_pole_mass(mu, mt_PS, QQt::N3LO);
  //convert to MSbar scheme
  const double precision = 1e-4;
  QQt::options opt = QQt::top_options();
  double mt_MS = mt_PS;
  double delta_M;
  do{
    opt.mass_scheme = {QQt::MSshift, mt_MS};
    delta_M = QQt::top_pole_mass(mu, mt_MS, QQt::N3LO, opt) - mt_Pole;
    mt_MS -= delta_M;
  } while(std::abs(delta_M) > precision);
  std::cout << "pole mass: " << mt_Pole << '\n'
            << "MSbar mass: " << mt_MS << '\n';
}
