#include <iostream>
#include "QQbar_threshold/load_grid.hpp"
#include "QQbar_threshold/xsection.hpp"

int main(){
  namespace QQt = QQbar_threshold;
  QQt::load_grid(QQt::grid_directory() + "ttbar_grid.tsv");
  const double mu = 50.;
  const double mu_width = 350.;
  const double mt_PS = 168.;
  const double width = 1.4;
  const auto order = QQt::N3LO;
  const double thr = QQt::ttbar_threshold(mu, mt_PS, order);
  for(double E = -3.; E < 5.; E += 1.0){
    double sqrt_s = thr + E;
    std::cout << sqrt_s << '\t'
      << QQt::ttbar_xsection(
          sqrt_s, {mu, mu_width}, {mt_PS, width}, order
      )
      << '\n';
  }
}
