Needs["QQbarThreshold`"];

LoadGrid[GridDirectory <> "ttbar_grid.tsv"];
sqrts = 344.;
mu = 80.;
muWidth = 350.;
mtPS = 171.5;
width = 1.33;
order = "N3LO";
beta = ISRLog[sqrts, alphamZ];

xmin = (330./sqrts)^2;
tmax = (1-xmin)^beta;

Print[
   NIntegrate[
      ModifiedLuminosityFunction[t, beta]*
      TTbarXSection[
         Sqrt[1-t^(1/beta)] * sqrts, {mu, muWidth}, {mtPS, width}, order,
         ISRConst -> True
      ],
      {t, 0, tmax}
   ]
];
