#ifdef NDEBUG
#undef NDEBUG
#endif
#include <iostream>
#include <cmath>

#include "load_grid.hpp"
#include "xsection.hpp"
#include "threshold.hpp"
#include "mass_schemes.hpp"

int main(){
  using namespace QQbar_threshold::pert_order;
  using QQbar_threshold::production_channel;
  using QQbar_threshold::SM;
  using QQbar_threshold::ttbar_xsection;
  using QQbar_threshold::PSshift;
  using QQbar_threshold::load_grid;
  using QQbar_threshold::grid_directory;
  load_grid(grid_directory() + "ttbar_grid.tsv");

  constexpr double ep = 1e-8;

  constexpr double sqrt_s = 344;
  constexpr double mu = 80;
  constexpr double mt = 171.5;
  constexpr double width = 1.33;

  constexpr std::array<double, 2> results = {{
      0., 0.0034452006702133664
    }};
  for(order i = N2LO; i <= N3LO; ++i){
    double diff = std::abs(
        ttbar_xsection(sqrt_s, {mu, 700.}, {mt, width}, i)
        - ttbar_xsection(sqrt_s, {mu, 20.}, {mt, width}, i)
        - results[i-2]
    );
    std::cout << i << ": " << diff;
    assert(diff < ep);
    std::cout << " (ok)\n";
  }
}
